curl --request GET \
--url https://api.us.cr4ce.com/document/{document_slug} \
--header 'Accept: <accept>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.cr4ce.com/document/{document_slug}"
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.cr4ce.com/document/{document_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allocation": [],
"created_at": "2025-01-15T09:00:00Z",
"description": {
"en_GB": ""
},
"entry": {
"slug": "AbCdEfGh",
"link": "https://api.au.cr4ce.com/entry/AbCdEfGh",
"title": "Sustainable Cities Initiative"
},
"file": {
"token": "IjKlMnOpQrStUvWx",
"link": "https://api.au.cr4ce.com/file/IjKlMnOpQrStUvWx",
"name": "certificate.pdf",
"download": "https://files.au.cr4ce.com/file/IjKlMnOpQrStUvWx/certificate.pdf?Expires=1781485359&Signature=REDACTED&Key-Pair-Id=REDACTED"
},
"file_type": "PDF",
"name": {
"en_GB": "Certificate of entry"
},
"shared_with_user": false,
"slug": "QrStUvWx",
"user": {
"slug": "YzAbCdEf",
"link": "https://api.au.cr4ce.com/user/YzAbCdEf",
"name": "Jane Smith",
"first_name": "Jane",
"last_name": "Smith"
}
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 404
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Get document
Get the document identified by the specified slug.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Slug of the document.
^[A-Za-z]{8}$Response
Document retrieved.
Document generated from a document template and attached to an entry, allocation, or user.
Allocation the document is attached to, or an empty array when not attached to one.
Show child attributes
Show child attributes
Date and time when the document was created.
Description of the document, inherited from the document template, keyed by locale code.
Show child attributes
Show child attributes
Entry the document is attached to, or an empty array when not attached to one.
Show child attributes
Show child attributes
Generated document file.
Show child attributes
Show child attributes
File format of the generated document.
PDF, Word Name of the document, keyed by locale code.
Show child attributes
Show child attributes
Specifies whether the document is shared with the entrant.
URL-safe identifier of the document.
User who created the document, or an empty array when none is attached.
Show child attributes
Show child attributes